WordPress.org

Ready to get started?Download WordPress

Forums

Rehabtabs
[resolved] Rehabtabs problem with JQuery Themeroller/Themes v1.9 (5 posts)

  1. pa_esp
    Member
    Posted 1 year ago #

    I tried to use a custom theme created with jQuery Themeroller but it does not seem to be working with the theme downloaded from latest version of JQuery Themeroller (v1.9). The theme is loaded but the tabs do not work, i.e. all content is displayed below each tab and the tab does not change when clicked.

    EXAMPLE: http://www.magnetmadness.co.uk/procigdev/earn-with-p/

    I followed all the instructions given exactly as described.

    The three themes supplied with the plugin do work correctly though.

    I tried it again with standard theme 'Start' from JQuery Themeroller (not one that I had created) but this does not work either.

    Some assistance would be gratefully received!

    Cheers.

    http://wordpress.org/extend/plugins/rehabtabs/

  2. Grant Mangham
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for drawing this to my attention.

    jQuery UI changed its CSS as of version 1.9. WordPress currently comes with jQuery 1.8.20. So, unfortunately, the latest versions of the themes will not work with the latest version of WordPress.

    If you wish, you can still download older versions of the themes, here:
    http://blog.jqueryui.com/2012/04/jquery-ui-1-8-20/

    It looks like you should be safe with versions up to and including 1.8.24.

  3. pa_esp
    Member
    Posted 1 year ago #

    Hi Vancoder,

    Thank you for your reply.

    I really wanted to use a theme that I had made with ThemeRoller, or to create a new theme but of course I cannot use it as the plugin stands in its current state.

    I hope that you update the plugin to work with the latest JQuery UI as it's a great plugin and perfect for my needs, otherwise I'm going to have to change the CSS by hand... :(

    Maybe I'll hold off for the time being. Cheers again,

    Paul

  4. Grant Mangham
    Member
    Plugin Author

    Posted 1 year ago #

    Hi Paul,

    It's more a case of waiting for WordPress to be updated to work with the latest jQuery UI version, as the plugin just uses the UI library that's bundled with WP. Until then, as far as custom theming goes, the plugin is in limbo I'm afraid.

  5. pa_esp
    Member
    Posted 1 year ago #

    Hi again,

    Thanks for the update. I do appreciate your help and information. It's good to know that there are developers out there that are knowledgeable and friendly.

    I will adjust the CSS for now because your is the best plugin of its sort. Let's hope that WordPress update their JQuery version sometime soon and I'm happy to keep with your plugin 'til then.

    Cheers, Paul

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic